KVR News

GoldWave updated to v5.68
25th January 2013

GoldWave has been updated to v5.68.

Changes include:

This version requires Windows XP or later and most likely will be the last 32-bit version of GoldWave. Future versions will be 64-bit and require Windows 7 or later.

VST support is still in beta testing.

KVR Audio, Inc.